Bug 484975 - (perl-Scope-Upper) Review Request: perl-Scope-Upper - Act on upper scopes
Review Request: perl-Scope-Upper - Act on upper scopes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Scope-Upper
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 17:18 EST by Chris Weyl
Modified: 2009-02-13 15:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-13 15:38:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-02-10 17:18:25 EST
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Scope-Upper.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Scope-Upper-0.06-1.fc10.src.rpm

Description:
This module lets you defer actions that will take place when the control
flow returns into an upper scope. Currently, you can hook an upper scope
end, or localize variables, array/hash values or deletions of elements
in higher contexts. You can also return to an upper level and know which
context was in use then.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1118140

Additional Comment:

This is a new requirement of Catalyst::Runtime 5.8000, aka "Catamoose"
Comment 1 manuel wolfshant 2009-02-10 23:15:13 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic (same as perl)
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: 8f1123ed242478d667f6f0e4e8775d50810621db Scope-Upper-0.06.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: standard perl module, noarch
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] make check passes (for tests existing in Fedora)


Note:
I hope the dozen or so of warnings similar to
 Upper.c: In function 'XS_Scope__Upper_localize_delete':
 Upper.xs:926: warning: 'cxix' may be used uninitialized in this function
 Upper.xs:926: note: 'cxix' was declared here
 Upper.c: In function 'XS_Scope__Upper_CALLER':
 Upper.xs:828: warning: 'level' may be used uninitialized in this function
 Upper.xs:828: note: 'level' was declared here
are harmless.

================
*** APPROVED ***
================
Comment 2 Chris Weyl 2009-02-11 01:35:08 EST
New Package CVS Request
=======================
Package Name: perl-Scope-Upper
Short Description: Act on upper scopes
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-02-13 02:01:40 EST
cvs done.
Comment 4 Chris Weyl 2009-02-13 15:38:28 EST
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.